%global pypi_name pytest-freezegun

Name:           python-%{pypi_name}
Version:        0.4.2
Release:        %mkrel 4
Summary:        Wrap tests with fixtures in freeze_time
Group:          Development/Python
License:        MIT license
URL:            https://pypi.org/project/pytest-freezegun/
Source0:        %{pypi_source %pypi_name %version zip}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(freezegun)

%description
Wrap tests with fixtures in freeze_time
Features:
- Freeze time in both the test and fixtures
- Access the freezer when you need it


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Wrap tests with fixtures in freeze_time
Features:
- Freeze time in both the test and fixtures
- Access the freezer when you need it

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pytest_freezegun.py
%{python3_sitelib}/pytest_freezegun-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Dec 08 2023 wally <wally> 0.4.2-4.mga10
+ Revision: 2015742
- rebuild for py3.12

* Thu Mar 31 2022 umeabot <umeabot> 0.4.2-3.mga9
+ Revision: 1836361
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.4.2-2.mga9
+ Revision: 1775834
- rebuild for python-3.10

* Sun Mar 21 2021 guillomovitch <guillomovitch> 0.4.2-1.mga9
+ Revision: 1706695
- imported package python-pytest-freezegun

